#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    my $mainsec=$spec->get_section('package','');
    $mainsec->subst_body(qr'^Requires\((?:post|postun|post,postun)\):\s+scrollkeeper\s*$','');
    # TODO: common lib of utils, shared with Convert
    my %scriptsec=map {$_=>1} qw/pre post preun postun
        triggerin triggerun triggerpostin triggerpostun/;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	next unless $scriptsec{$secname};
	$section->exclude_body(qr'scrollkeeper-update');
    }

};

1;
