#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    foreach my $section ($spec->get_sections()) {
	if ($section->get_bodyref()->[0]=~m!^\s*\%(post|preun)\s+.*-p\s+(?:\%post_|/sbin/)ldconfig!) {
	    $spec->delete;
	}
    }
    &from_section($spec, $pkgname,'post','%post_ldconfig_lib',1);
    &from_section($spec, $pkgname,'post','%post_ldconfig_sys',1);
    &from_section($spec, $pkgname,'post','(?<!%)%post_ldconfig',1);
    &from_section($spec, $pkgname,'preun','%post_ldconfig_lib',1);
    &from_section($spec, $pkgname,'preun','%post_ldconfig_sys',1);
    &from_section($spec, $pkgname,'post','\[\s+-x\s+/sbin/post_ldconfig\s+\]\s+\&\&\s+/sbin/post_ldconfig.*',1);
};

1;
